Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Record Class GenericResponse

java.lang.Object
java.lang.Record
org.firebirdsql.gds.ng.wire.GenericResponse

Record Components:
  `objectHandle` - object handle associated with the response
  `blobId` - blob id or status value
  `data` - data
  `exception` - exception or warning (or `null` for no exception or warning)

All Implemented Interfaces:
  `Response`

public record GenericResponse(int objectHandle, long blobId, byte[] data, SQLException exception) extends Record implements Response

Since:
  3.0
Author:
  Mark Rotteveel

## Constructor Summary

Constructors
Constructor
Description
`GenericResponse(int objectHandle, long blobId, byte[] data, SQLException exception)`
Creates an instance of a `GenericResponse` record class.

## Method Summary

Modifier and Type
Method
Description
`long`
`blobId()`
Returns the value of the `blobId` record component.
`byte[]`
`data()`
Returns the value of the `data` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`SQLException`
`exception()`
Returns the value of the `exception` record component.
`final int`
`hashCode()`
Returns a hash code value for this object.
`int`
`objectHandle()`
Returns the value of the `objectHandle` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GenericResponse

public GenericResponse(int objectHandle, long blobId, byte[] data, SQLException exception)
Creates an instance of a `GenericResponse` record class.

Parameters:
  `objectHandle` - the value for the `objectHandle` record component
  `blobId` - the value for the `blobId` record component
  `data` - the value for the `data` record component
  `exception` - the value for the `exception` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### objectHandle

public int objectHandle()
Returns the value of the `objectHandle` record component.

Returns:
  the value of the `objectHandle` record component

### blobId

public long blobId()
Returns the value of the `blobId` record component.

Returns:
  the value of the `blobId` record component

### data

public byte[] data()
Returns the value of the `data` record component.

Returns:
  the value of the `data` record component

### exception

public SQLException exception()
Returns the value of the `exception` record component.

Returns:
  the value of the `exception` record component